Author Topic: Download MODO Substance Plugin Updates  (Read 24364 times)

Hello,

The latest beta 'substance_modo10.0-109580_plugin_2.4.0-build265' doesn't work on MODO 902 SP3.

It show up in the 'Kit Toggle Enable' dropdown list but it doesn't show up in 'Texture' tab menu.

Only 'Substance_MODO_901_Plugin_2.1.0' downloaded from Foundry seems to work.

Hope there's a fix. Thanks.

Hi,

For the 901 series, you need to use the plugin for the foundry site. The latest plugins we have on our site only work for the 10 series. Are you working in 901 or 10?

Cheers,
wes
Integrations Product Manager / Training
wes.mcdermott@allegorithmic.com
Twitter: The3DNinja

Hi, its Modo 902 SP3.

Hello,

The latest beta 'substance_modo10.0-109580_plugin_2.4.0-build265' doesn't work on MODO 902 SP3.

It show up in the 'Kit Toggle Enable' dropdown list but it doesn't show up in 'Texture' tab menu.

Only 'Substance_MODO_901_Plugin_2.1.0' downloaded from Foundry seems to work.

Hope there's a fix. Thanks.

Hi,

For the 901 series, you need to use the plugin for the foundry site. The latest plugins we have on our site only work for the 10 series. Are you working in 901 or 10?

Cheers,
wes

Hi,

There is a recent update for Otoy's Octane Render Modo plugin which supports readed substances in modo. But this substance support need modo substance plugin to be 2.4 or later.

For modo 90x users there is only 2.1 version of substance plugin available on our Foundry accounts.

I am delaying updating my modo license to 10 because of financial decisions and 90x version is stable enough.

Do you planning to update 90x plugins? Or is there any beta versions we can install? It is important for us, "modo 90x + octane + substance" users.

Thank you.

Here is the video link for Octane update:
https://www.youtube.com/watch?v=lU0kb65Ik8A
Last Edit: April 04, 2017, 11:04:25 am

Yes, i agree : ) this is needed, for Modo 901/2 + Octane users. Thanks

hmmmmm, I got MODO Indie 10 (steam) and also got the plugin installed. Is the plugin also auto-updated or do I need to download this via allegorithmic website?


Cheers

I would also like to voice support for the plugin working under 902.

Hi Everyone,

We have an updated build for 902, but it's not on our website. I will get it and post it here as well has have a link added to the download page.

Cheers,
Wes
Integrations Product Manager / Training
wes.mcdermott@allegorithmic.com
Twitter: The3DNinja

This is great news. I can't wait to have it :)

Hi Everyone,

We have an updated build for 902, but it's not on our website. I will get it and post it here as well has have a link added to the download page.

Cheers,
Wes
Fantastic Wes!! Paul has done some really good things with the plugin recently and having integral Substance support will just ice the cake!

Hi Everyone,

We have an updated build for 902, but it's not on our website. I will get it and post it here as well has have a link added to the download page.

Cheers,
Wes

Hello Wes,

Is there a schedule or a latency?

I am eager to test this plugin, sorry for pushing it up :)

Hi Everyone,

We have an updated build for 902, but it's not on our website. I will get it and post it here as well has have a link added to the download page.

Cheers,
Wes

Hello Wes,

Is there a schedule or a latency?

I am eager to test this plugin, sorry for pushing it up :)

Hi,

I'm very sorry for the delay on the plugin. Here is the PC and Mac versions.

Cheers,
Wes

Integrations Product Manager / Training
wes.mcdermott@allegorithmic.com
Twitter: The3DNinja

Very very appreciated! :)

Thanks Wes!
I had need of this just yesterday, when I wanted to use some Substance materials in a project I'm working on atm.
It works like a charm. Just add the substance, hit octane render in Modo, bam! no fuss.

One thing that did occur was,  for some reason.. (maybe my system?) the old 2.1 Substance plugin was not deleted from the Modo configs. I checked the version installed and even after the installer had finished (no PC reboot) Modo listed the 2.1.0 level plugin only. (I didn't try to run modo.) I looked at the install folder and yeah, it was still there along with the 2.4 version. I just deleted the whole 2.1.0 version folder, I guess that's ok? Whatever, Modo now sees the 2.4 version and it works great!...(admittedly, I've only just started to get the project onto Substance mats..)
Cheers!
Gary B

Hi Gary,

I am only seeing resolution list up to 2048x2048. Is this something to do with my sbsar files, or plugin is limited to 2k?

Hi Blockmind, not in front of the pc atm, but I'll check. .. I think it's to do with the engine.  It will either be gpu or cpu and they have different resolution.  My guess is the cpu plugin is limited to 2048x. Try swapping engines.